Skip to main content
POST
/
v1
/
balances
Create currency balance
curl --request POST \
  --url https://api.sandbox.busha.so/v1/balances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "BTC"
}
'
{
  "status": "success",
  "message": "message for success",
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "user_id": "platform_123456",
    "profile_id": "platform_123456",
    "currency": "BTC",
    "name": "Bitcoin",
    "type": "crypto",
    "pending": {
      "amount": "100",
      "currency": "BTC",
      "fiat": {
        "amount": "100",
        "currency": "BTC"
      }
    },
    "available": {
      "amount": "100",
      "currency": "BTC",
      "fiat": {
        "amount": "100",
        "currency": "BTC"
      }
    },
    "savings": {
      "amount": "100",
      "currency": "BTC",
      "fiat": {
        "amount": "100",
        "currency": "BTC"
      }
    },
    "investments": {
      "amount": "100",
      "currency": "BTC",
      "fiat": {
        "amount": "100",
        "currency": "BTC"
      }
    },
    "total": {
      "amount": "100",
      "currency": "BTC",
      "fiat": {
        "amount": "100",
        "currency": "BTC"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.busha.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Body

application/json
currency
string<string>
required

A valid currency

Required string length: 1 - 10
Example:

"BTC"

Response

Balance created successfully

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required